package jp.sourceforge.shovel.form.impl;

import java.util.TimeZone;

import org.apache.struts.upload.FormFile;
import org.seasar.struts.annotation.tiger.StrutsActionForm;

import jp.sourceforge.shovel.form.IUpdateAccountForm;

@StrutsActionForm(name = "updateAccountForm")
public class UpdateAccountFormImpl implements IUpdateAccountForm {
    boolean administrator_;
    String description_;
    String displayName_;
    String email_;
    FormFile file_;
    String foreignKey_;
    String location_;
    String password_;
    boolean protect_;
    boolean removeFile_;
    TimeZone timeZone_;
    String url_;
    long userId_;
    
    public boolean isAdministrator() {
        return administrator_;
    }
    public void setAdministrator(boolean administrator) {
        administrator_ = administrator;
    }
    public String getDescription() {
        return description_ == null ? "" : description_;
    }
    public void setDescription(String description) {
        description_ = description;
    }
    public String getDisplayName() {
        return displayName_ == null ? "" : displayName_;
    }
    public void setDisplayName(String displayName) {
        displayName_ = displayName;
    }
    public String getEmail() {
        return email_ == null ? "" : email_;
    }
    public void setEmail(String email) {
        email_ = email;
    }
    public FormFile getFile() {
        return file_;
    }
    public void setFile(FormFile file) {
        file_ = file;
    }
    public String getForeignKey() {
        return foreignKey_ == null ? "" : foreignKey_;
    }
    public void setForeignKey(String foreignKey) {
        foreignKey_ = foreignKey;
    }
    public String getLocation() {
        return location_ == null ? "" : location_;
    }
    public void setLocation(String location) {
        location_ = location;
    }
    public String getPassword() {
        return password_ == null ? "" : password_;
    }
    public void setPassword(String password) {
        password_ = password;
    }
    public boolean isProtect() {
        return protect_;
    }
    public void setProtect(boolean protect) {
        protect_ = protect;
    }
    public boolean isRemoveFile() {
        return removeFile_;
    }
    public void setRemoveFile(boolean removeFile) {
        removeFile_ = removeFile;
    }
    public TimeZone getTimeZone() {
        return timeZone_ == null ? TimeZone.getDefault() : timeZone_;
    }
    void setTimeZone(TimeZone timeZone) {
        timeZone_ = timeZone;
    }
    public String getTimeZoneId() {
        return getTimeZone().getID();
    }
    public void setTimeZoneId(String timeZoneId) {
        setTimeZone(TimeZone.getTimeZone(timeZoneId));
    }
    public String getUrl() {
        return url_ == null ? "" : url_;
    }
    public void setUrl(String url) {
        url_ = url;
    }
    public long getUserId() {
        return userId_;
    }
    public void setUserId(long userId) {
        userId_ = userId;
    }
}
